Changes

From XDSwiki
Jump to navigationJump to search
152 bytes removed ,  12:56, 3 May 2021
→‎Windows: update "sudo apt install" for Ubuntu 20.04 LTS
Line 143: Line 143:  
Graphical Linux programs require installation of a X server like [https://sourceforge.net/projects/xming/files/latest/download Xming] or [https://sourceforge.net/projects/vcxsrv VcXsvr] or [https://mobaxterm.mobatek.net/ Mobaxterm] on the Windows host. There are helpful writeups (e.g. [https://wiki.ubuntu.com/WSL#Running_Graphical_Applications] and [http://wsl-guide.org/en/latest/]). VcXsrc seems to have a problem with coot for some people (see [https://www.jiscmail.ac.uk/cgi-bin/wa-jisc.exe?A2=COOT;6ef4a967.2011 WSL2 installation] and responses). To use the X server with WSL, one has to say in the shell window
 
Graphical Linux programs require installation of a X server like [https://sourceforge.net/projects/xming/files/latest/download Xming] or [https://sourceforge.net/projects/vcxsrv VcXsvr] or [https://mobaxterm.mobatek.net/ Mobaxterm] on the Windows host. There are helpful writeups (e.g. [https://wiki.ubuntu.com/WSL#Running_Graphical_Applications] and [http://wsl-guide.org/en/latest/]). VcXsrc seems to have a problem with coot for some people (see [https://www.jiscmail.ac.uk/cgi-bin/wa-jisc.exe?A2=COOT;6ef4a967.2011 WSL2 installation] and responses). To use the X server with WSL, one has to say in the shell window
 
  export DISPLAY=:0
 
  export DISPLAY=:0
before running the program. Running XDSGUI under WSL's Ubuntu may require installation of a few packages with e.g.
+
before running the program. Running [[XDSGUI]] under WSL's Ubuntu 20.04 may require installation of a few packages with e.g.
  sudo apt-get install libgomp1 libqtgui4
+
  sudo apt-get install libgomp1 libqtgui4 binutils
(see [[XDSGUI#Libraries_and_software_that_the_program_depends_on|XDSGUI]] and above).  
+
(see [[XDSGUI#Libraries_and_software_that_the_program_depends_on|XDSGUI]] and above). If required, also install python and hdf5-tools.
 
  −
[[generate_XDS.INP]] requires a number of packages (some of which are only for specific detectors!); I'd start with
  −
sudo apt-get install coreutils binutils gawk sed bc grep
  −
and if required, also install python and hdf5-tools.
      
XDSSTAT and the conversion to MTZ files by XDSCONV require a CCP4 installation accessible by WSL. In principle, CCP4 may be installed within WSL (have not tested this), or on the Windows host.
 
XDSSTAT and the conversion to MTZ files by XDSCONV require a CCP4 installation accessible by WSL. In principle, CCP4 may be installed within WSL (have not tested this), or on the Windows host.
Line 170: Line 166:  
  sudo chown MYWSLNAME /opt/xtal
 
  sudo chown MYWSLNAME /opt/xtal
   −
A few libraries are needed before CCP4 installation (tcsh is needed by CCP4, the others are mostly graphics libraries):
+
A few libraries are needed before CCP4 installation (tcsh is needed by CCP4; most of the others are graphics libraries):
  sudo apt install tcsh libqt5opengl5 libqt5printsupport5 libqt5gui5 libxcb-render0 libxcb-shm0 libglu1-mesa libgomp1
+
  sudo apt install tcsh libqt5opengl5 libqt5printsupport5 libqt5gui5 libxcb-render0 libxcb-shm0 libglu1-mesa libgomp1 binutils
 
When installing CCP4, let it "modify the environment" for you. If you forgot this, insert a line into your ~/.bashrc :
 
When installing CCP4, let it "modify the environment" for you. If you forgot this, insert a line into your ~/.bashrc :
 
  source /opt/xtal/ccp4-7.1/bin/ccp4.setup-sh  
 
  source /opt/xtal/ccp4-7.1/bin/ccp4.setup-sh  
2,512

edits

Cookies help us deliver our services. By using our services, you agree to our use of cookies.

Navigation menu